# Testname: Datapilot
Document Owner: Frank Stecher | Last document change: 06.11.2007 | Status of document: Preliminary
Valid for version: OpenOffice.org_2.4

Test purpose:

Check the Datapilot functionality

Known issues:

Preconditions of test:

. / .

Test documents:

-

Testcases:

Buttons and functionality | Status: Preliminary | -
Download and open the datapilot_testdocument.ods Select Start from Data -> Datapilot. Press the Ok Button for the current Selection. Drag and Drop Area to Page Fields, Products to Column Fields, Salesman to Row Fields and 2000, 2001 and 2002 into the Data Fields section of the Datapilot Window and click on Ok. The Datapilot has to cover A23 with a filter button, A24 with an Area button, B24 with a dropdown listbox and A26:F48 with the datapilot data area. Make sure F48 contains 3899000, A40 contains Robinson, C26 a Products button and D35 60000 Drag & Drop the Products button from C26 to A28 The datapilot area must have changed to cover A26:D80 Make sure you have a button Salesman in A26, Products in B26 and Data in C26 Drag & Drop the Salesman button from A26 to D26 The datapilot area must have changed to cover A26:I39 Make sure you have a button Salesman in C26, Products in A27 and Data in B27 Check that A28 shows Audio, A31 DVD and A34 Video. The total Result in I37 must show 3184000 Drag and Drop the Data button from B27 to D22. A warning should appear stating 'The Data range can not be deleted' Confirm this dialog by clicking on Ok Drag and Drop the Products button from A27 to D45. The products data must be removed from the datapilot and the datapilot area must cover A26:H33 Drag and Drop the Area button from A24 to B40. The filter button must change its position to A24 and the dropdown listbox from B24 must have gone too. A Click on the Filter-Button must start the Standard filter dialog. Choose the fieldname Salesman in the Filter dialog set condition to equal and Value to Brown. Click on Ok Only Values for Salesman Brown must be shown and F32 must show 430000 Click again on Filter and select - None - as Field name, all Salesman must be shown again, F48 must show 3899000 Place the cell cursor on D32 and open the context menu. Check the functionality of the items found as follows : - Search (if the Sun Search toolbar is installed) Contains Search the Web and Create Hyperlink to search Google. - Start (opens the DataPilot configuration Editor) Close the dialog by clicking on Cancel - Refresh (Rebuilds the DataPilot output based on New entered Data. To check that it works, change A21 from DVD to HD, Context Menu, Refresh. A new Column HD is inserted into the DataPilot) - Filter (Opens the Standard Filter dialog) Close the dialog by clicking on Cancel - Delete (Removes the DataPilot from the Sheet) Select D32 and Delete from the context menu. The datapilot must have gone. Press CTRL+Z to undo the deletion of the datapilot. - Cut (Cuts cell content into the clipboard) Select D35 and select cut from the context menu. Select Sheet3.B2 and paste from the context menu. Sheet3.B2 should show 60000. Switch back to Sheet1 - Copy (Copys cell content into the clipboard) Select D36 and select copy from the context menu. Select Sheet3.B4 and paste from the context menu. Sheet3.B4 should show 90000. Switch back to Sheet1 - Paste (Pastes the clipboard into the selected cell) Select D32 and paste from the context menu. D32 must show 90000 If any of the conditions above is not met, file an Issue for the use case. Double click on C27. A dialog named Show Detail should be opened. Select Area and click Ok Next to the Products field in C25 should have been appeared another field named Area. C27:F27 should contain the citys from the Area section of the underlying data range (Boston, Chicago, Miami and New York) and the details regarding the Audio Products must show up in C28:F45. F39 must show 234000 and A42 must show 180000 Double click G26. The Area details must also appear for DVD's covering G27:I45 with I45 showing 70000. Double click G26 again. The details have to be hidden again with I45 showing 710000. Select C26 and from the context menu Delete Place the cell cursor on A17 and Select Start from Data -> Datapilot. Press the Ok Button for the current Selection. Drag and Drop Area to Page Fields, Products to Column Fields, Salesman to Row Fields and 2000, 2001 and 2002 into the Data Fields section of the Datapilot Window Double click on the Sum - 2002 field A dialog opens. Click on Cancel in this dialog. If it doesn't close file an Issue. Click on the Options Button in the DataPilot dialog. The Data Field dialog opens again. Click on Help. The Help system opens. If not file an Issue. Close the Help system. Press ESC on the keyboard. The dialog must have been closed, if not file an Issue. Press ALT+O. The Data Field dialog opens again. If not file an Issue. Click on the More Button. The Dialog extends to the bottom showing the section Displayed value. In the Type drop down list box select Runnig total in and set the Base field drop down list box to Products. Click on Ok. If you get an Error message, file an Issue. Double Click on Products in the Column field section. The Data Field dialog comes up. Click on the Radio Button in front of User-defined in the Subtotals section. Select Count as option, tag the checkbox for 'Show Items without data'. If any of these actions is not possible, file an Issue. Press ALT+O on the Keyboard to open the Data Field Options dialog. Set the Sort by dropdown list box to 2000, the Radio Button in front of Descending and the check box in front of Show in the Show automatically section. Decrease the spin field to show 5 items, the drop down list box From to Bottom and the Using Field drop down list box to 2001. In the Hide Items section set the checkbox in front of DVD to active. If any of these settings are not possible, file an Issue. Close all these Dialogs by pressing ESC as long as all dialogs are closed. Select C31 and from the context menu Delete Click on A45. Click on the datarange chooser at the left of the f(x) button on the toolbar. Erase the A45 and type datapilotstestrange followed by RETURN Select C20 and Select Start from Data -> Datapilot. Press the Ok Button for the current Selection. Drag and Drop Area to Page Fields, Products to Column Fields, Salesman to Row Fields and 2000, 2001 and 2002 into the Data Fields section of the Datapilot Window and click on the More button. Set the drop down list box for 'Results to' to datapilotstestrange. The inputline next to this list box must change to $Sheet1.$A$45 . If not file an Issue. Tag the Checkboxes for 'Ignore empty rows' and 'Identify categories' Click on Ok. The DataPilot must start with the Filter field placed on A45. If not, file an Issue. Select C53 and choose start from the context menu Click on the More Button Set the drop down list box for 'Results to' to '- new sheet -' Untag the six checkboxes found in the result section Click on the Ok button. A new sheet must habe been created named 'DataPilot_Sheet1_1'. If not file an Issue. The DataPilot must start on the new Sheet at A1 with the Area field and the associated Drop down list box in B1. If not, file an Issue. Is any total or Subtotal Result for the fields shown, file an Issue. Double Click on C4. If the cell does not switch into Edit mode, file an Issue. Right click on C5 and Choose Start from the Context menu. Click on the More Button on the DataPilot dialog. Click on the Shrink Button next to the input line in the Result section. The Dialog shrinks to a single line. If not file an Issue. Click on F26 and press the RETURN key on the keyboard. The DataPilot dialog must appear again. If not file an Issue. The input line must show '$DataPilot_Sheet1_1.$F$26'. If not, file an Issue. Click on Ok. The DatPilot must start now at F26 and remain at A1. Close the document without saving it.
Pagefields | Status: Preliminary | -
Load testdocument datapilot_testdocument.ods Select area A3:F21 Select Start from Data -> Datapilot and press the Ok Button for the current Selection. Drop PRODUCTS to page fields, AREA to column fields, SALESMAN to row fields and the years to data fields Close dialog by OK In B24 check if the listbox is set to -all- Choose DVD from listbox (B24) Check if F28 has changed to 25000 Reset listbox to -all- Click on FILTER Choose SALESMAN as Field name = as Condition and BUSH as Value. Click OK Check if there is no entry for DVD in the listbox Save the document with a new name, close it and reload Check if the datapilot is still alive with all entries. Close testdokument
Tableoptions | Status: Preliminary | -
Load testdocument datapilot_testdocument.ods Select area A3:F21 Select Start from Data -> Datapilot and press the Ok Button for the current Selection. Drop AREA to column fields, SALESMAN to row fields and the years to data fields Doubleclick first entry in the datefields and click on MORE button. Uncheck ADD FILTER and ENABLE DRILL TO DETAILS Press OK Check if there is no filter field on top of the created data pilot table. Doubleclick A25 (Brown) and check if the cell is now in editmode. Leave cell. Open datapilot dialog via context menu START. Check ADD FILTER and ENABLE DRILL TO DETAILS and press OK. Confirm the overwrite warning with yes Verify that there is a filter field on top of the data pilot table. Doubleclick A25 (Brown). The dialog SHOW DETAILS appears. Choose PRODUCTS and click OK. Verify that the details for BROWN are shown. Select A37 and A40 and choose Menu DATA-OUTLINE-SHOW DETAILS The details for Bush and Elvis must be shown. Close document.
Grouping | Status: Preliminary | -
Load testdocument Datapilot_grouping_testdocument.ods Select dataarea and start from Data -> Datapilot then press the Ok Button for the current Selection. Drop Type to page fields, date to row fields, city, number and seller to column fields and revenue to datafields. Press OK Select A57 and open grouping dialog via DATA-GROUP AND OUTLINE-GROUP... Check grouping for month, quarter and years and press OK. Verify that there are columns for years quarters and months in the datapilottable. Press F12 and change Start and END from automatic to manually (start with 2005 and end with 2006, the dataformat is localedependant). Press ok. Verify that there is a starting row with < 2005 and an ending row with >2006. Press CTRL-F12 and verify that the grouping is deleted. Select B50 and press F12. Change Start and End from automatic to manually (start with 0 and end with 1) and Group By to 0.1 Press OK and verify that the numberrow is grouped. B50 shows 0-0.1, C50 shows 0.1-0.2 and so on. Close document.
Manual Sort | Status: Preliminary | -
Download and open the datapilot_testdocument.ods Select Start from Data -> Datapilot. Press the Ok Button for the current Selection. Drag and Drop Area to Page Fields, Products to Column Fields, Salesman to Row Fields and 2000, 2001 and 2002 into the Data Fields section of the Datapilot Window Click on the Salesman Icon in the row section and press ALT+O to open the Options dialog. The Data Field dialog opens. Type ALT+O again, the Data Fields Options dialog opens. Make sure the Sort by section for Salesman is set to Ascending. Click on Ok to close the options dialog. Click on Ok to close the Data Field dialog. Click on Ok to activate the DataPilot. Click on A28, to select the cell press and hold the CTRL Key while clicking on A28 again. Drag & Drop A28 to A46. Beginning with the drag operation a thick black line indicating that this row is selected and will be inserted above this line appears. If not file an Issue. After the drop, the whole Brown section must appear at A43:F45 Open the context menu and choose Start... Doubleclick on Salesman in the Row section, click on Options, click on Options and check that Sort by is set to Manual. If not, file an Issue. Click on A34 and press CTRL+C, select A28 and press CTRL+V The Jackson area must have changed to A28:F30 Click on A37 and press CTRL+X, select A31 and press CTRL+V The Robinson area must have changed to A31:F33 Click on C27 and press CTRL+C, select F27 and press CTRL+V The Audio section must have changed to E27 Close the document without saving
DataPilot Details | Status: Preliminary | -
Download and open the datapilot_testdocument.ods Select Start from Data -> DataPilot. Press the Ok Button for the current Selection. Drag and Drop Area to Page Fields, Products to Column Fields, Salesman to Row Fields and 2000, 2001 and 2002 into the Data Fields section of the DataPilot Window Click on Ok to get the DataPilot created Select Sheet3. Select Sheet... from the Insert-Menu Tag the radio Button for 'After current Sheet' Change the Spin box the number of Sheets to show 253 and click on Ok The Status bar must show 'Sheet 4 / 256', If not file an Issue Select Sheet1 and doubleclick on D28. A Dialog appears stating 'The table could not be inserted' If this dialog doesn't come up, file an Issue. Confirm the dialog Perform an Undo. The previously inserted Sheets should have been gone and Sheet3 is selected. Select Sheet1 and doubleclick on F28. A new Sheet (Sheet4) is inserted in front of Sheet1 showing the data used to calculate the content of cell F28. Select D5:F5 and click on the Autosum symbol in the formula bar. Compare D5, E5 and F5 with F28:F30 on Sheet1. The results must match. If not file an Issue.